# Generated by Django 4.0.6 on 2022-08-03 07:47

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('users', '0024_remove_friendlybet_win_accepted_by_1_and_more'),
    ]

    operations = [
        migrations.RemoveField(
            model_name='friendlybet',
            name='bet_winner_sender',
        ),
        migrations.RemoveField(
            model_name='friendlybet',
            name='winner_request',
        ),
        migrations.CreateModel(
            name='FriendlyBetWinnerRequest',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('bet_winner_sender', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='bet_winner_sender', to=settings.AUTH_USER_MODEL)),
                ('friendlybet_id', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='bett', to='users.friendlybet')),
                ('winner_request', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='bet_winner_request', to=settings.AUTH_USER_MODEL)),
            ],
        ),
    ]
